{% extends "template.html" %}

{% block body %}
<style>
.container {
    border: 10px solid whitesmoke;
    max width: 700px;
    width: 100%;

    height: 50vh;
    display: inline-grid;
    

    position:absolute;
    right:0;
    left:0;
    top:0;
    bottom:0;
    margin:auto;
    
    background: linear-gradient(135deg, rgba(255, 255, 255, 0.1), rgba(255, 255, 255, 0));
        backdrop-filter: blur(10px);
        -webkit-backdrop-filter: blur(10px);
        border-radius: 20px;
        border:1px solid rgba(255, 255, 255, 0.18);
        box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.37);
  }




</style>
<div class="container">
    
    <form action="{{url_for('netzwerk') }}" method="POST">
    <h1>Neue Wlan-Daten eingeben</h1>
    
    <div class="child1">
                    <input type="text" class="login-field" value="" placeholder="Name" name="name">
        <label class="login-field-icon fui-user" for="login-name"></label></div>
        <div class="control-group">
    </div>  

    <div class="child2">
                    <input type="text" class="login-field" value="" placeholder="SSID" name="ssid">
        <label class="login-field-icon fui-user" for="login-name"></label></div>
        <div class="control-group">
    </div>

    <div class="child3">
                    <input type="password" class="login-field" value="" placeholder="Passwort" name="passwort">
        <label class="login-field-icon fui-lock" for="login-pass"></label></div><br></br>
        <input type="submit" value="Ändern" class="btn btn-primary btn-large btn-block">
    </div>

    </form>
    
</div>
{% endblock %}